package com.bcxin.risk.policy.enums;


public enum Policy_ActivityPeriod {

	
	BELOW {public String getValue(){return "1";} public String getName(){return "三天以内";}}, 
	
	MIDDLE {public String getValue(){return "2";} public String getName(){return "三天-七天";} }, 
	
	UP {public String getValue(){return "3";} public String getName(){return "七天以上";} }; 
	
	
    public abstract String getValue();
    
    public abstract String getName();
    
    public static Policy_ActivityPeriod calc(int days){
    	if ( days < 3 ) {
    		return BELOW;
    	} else if ( 3 <= days && days <= 7 ) {
    		return MIDDLE;
    	} else if( days > 7 ) {
    		return UP;
    	}
    	return BELOW;
    }
}
